//A Simple Texturing Pixel Shader

uniform vec4 ambientColor;
uniform sampler2D colorMap;

void main()
{
	vec4 texColor = texture2D(colorMap,gl_TexCoord[0].st);
	gl_FragColor = texColor * ambientColor;
}
